@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;700&display=swap');

:root{
    --padding-container : 100px 0;
    --color-title: #e80f0f;
    --color-questions: #130602;
    --color-questions-title: midnightblue;
}

body{
    font-family: 'Poppins', sans-serif;
}

.container{
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
    overflow: hidden;
    padding: var(--padding-container);
}

.header{
    width: 100%;
    height: 100vh;
    min-height: 600px;
    max-height: 800px;
    position: relative;
    display: grid;
    grid-template-rows: 100px 1fr;
    color:azure;
}

.header::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(180deg, #0000008c 0%, #0000008c 100%), url(../Images/Kuani-ediciones.png);
    background-size: cover;
    clip-path:  polygon(0 0,100% 0, 100% 80%,50% 95%, 0 80%);
    z-index: -1;
}

/* Nav*/

.nav
{
    --padding-container : 0;
    height: 100%;
    display: flex;
    align-items: center;
}

.nav__title{
    font-weight: 300;
}


.nav__link{
    margin-left: auto;
    padding: 0;
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: max-content;
    gap: 2em;
}

.nav__items{
    list-style: none;
}

.nav__links{
    color: #fff;
    text-decoration: none;
}

.nav__menu{

    margin-left: auto;
    cursor: pointer;
    display: none;
}


.nav__img{
    display: block;
    width: 30px;
}

.nav__close{
    display: var(--show, none);
}

/*Header Container */

.header__container{

    max-width: 800px;
    --padding-container: 0;
    display: grid;
    grid-auto-rows: max-content;
    align-content: center;
    gap: 1em;
    padding-bottom: 100px;
    text-align: center;
}

.header__title{
    font-size: 3rem;
}

.header__paragrahp{
    margin-bottom: 20px;
}

.cta{
    display: inline-block;
    background-color: #2091f9;
    justify-self: center;
    color: #fff;
    text-decoration: none;
    padding: 13px 24px;
    border-radius: 32px;
}

/* About */

.about
{
    text-align: center;

}

.subtitle{
    color: var(--color-title);
    font-size: 2rem;
    margin-bottom: 25px;
    text-align: center;
}

.about__paragrah{
    line-height: 1.7;
}

.about__main{
    
    padding-top: 80px;
    display: grid;
    width: 90%;
    margin: 0 auto;
    gap: 1em;
    overflow: hidden;
    grid-template-columns: repeat(auto-fit, minmax(150px,auto));
}

.about__icons{
    display: grid;
    gap: 1em;
    justify-items: center;
    width: 260px;
    overflow: hidden;
    margin: 0 auto;
}

/* Knowledge */

.knowledge{
    
    background-color: #f0f0f0;
    background-image:  repeating-linear-gradient(45deg, #f5f5fa 25%, transparent 25%, transparent 75%, #f5f5fa 75%, #f5f5fa), repeating-linear-gradient(45deg, #f5f5fa 25%, #f0f0f0 25%, #f0f0f0 75%, #f5f5fa 75%, #f5f5fa);
    background-position: 0 0, 10px 10px;
    background-size: 20px 20px;
    overflow: hidden;
}

.knowledge__container{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1em;
    align-items: center;
}

.knowledge__picture{
    max-width: 500px;

}

.knowledge__paragraph{
    line-height: 1.7;
    margin-bottom: 24px;
}

.knowledge__img{
    width: 100%;
    display: block;
}

/*Price*/

.price{
    text-align: center;
}

.price__container{
    margin:10px;
}

.price__table{
    
    padding-top: 60px;
    display: flex;
    flex-wrap: wrap;
    gap: 2.5em;
    justify-content: space-evenly;
    align-items: center;
}

.price__element{

    background-color: #18bdea;
    text-align: center;
    border-radius: 10px;
    width: 330px;
    padding:  40px;
    --color-plan: #e40a0a;
    --color-price: #ffffff;
    --bg-cta: #fff;
    --color-cta: #130602;
    --color-items: #ffffff;

}

.price__element--best{

    background-color: rgb(3, 250, 93);
    --color-plan: rgb(251, 29, 29);
    --color-price: #fdfdfd;
    --bg-cta: rgb(127, 118, 118);
    --color-cta: #fbfbfb;
    --color-items: #fdfdfd;
    width: 350px;
    padding: 60px 40px;

}

/*Plan*/

.plan__name{
    color: var(--color-plan);
    margin-bottom: 15px;
    font-weight: 300px;
}

.plan_price{
    font-size: 2.5rem;
    color: var(--color-price);
}

.plan__items{
    margin-top: 35px;
    display: grid;
    gap: 1em;
    font-weight: 300;
    font-size: 1.2rem;
    margin-bottom: 50px;
    color: var(--color-items);
}

.plan__cta{
    display: block;
    padding: 20px 0;
    border-radius: 10px;
    text-decoration: none;
    font-weight: 500;
    box-shadow: 0 0 1px rgba(0, 0, b0lue, .5);
    background-color: var(--bg-cta);
    color: var(--color-cta);
}

/* Testimoniales */

.testimony{
    background-color: rgb(157, 234, 188);
}

.testimony__container{
    display: grid;
    grid-template-columns: 50px 1fr 50px;
    gap:3em;
    text-align: center;
}

.testimony__body{

    display: grid;
    grid-template-columns: 1fr  1fr max-content;
    justify-content: space-between;
    align-items: center;
    gap: 2em;
    grid-column: 2/3;
    grid-row: 1/2;
    opacity: 0;
    pointer-events: none;
}

.testimony__body--show{
    pointer-events: unset;
    opacity: 1;
    transition: opacity 1.5s ease-in-out;
}

.testimony__img{
    width: 150px;
    height: 350px;
    border-radius: 30%;
    object-fit: cover;
    object-position: 50% 10%;
}

.testimony__text{
    max-width: 700px;
}

.testimony__curse{
    background-color: #2091f9;
    color: #f5f5fa;
    display: inline-block;
    padding: 5px;
}


.testimony__arrow{
    width: 95%;
    cursor: pointer;
}

/*Questions*/

.questions{
    text-align: center;
}

.questions__container{
    display: grid;
    gap: 2em;
    padding-top: 50px;
    padding-bottom: 100px;
}

.questions__padding{
    padding: 0;
    transition: padding .2s;
    border: 1px solid #050d16;
    border-radius: 8px;
}

.questions__padding--add{
    
    padding-bottom: 30px;
}

.questions__answer{
    padding: 0 30px 0;
    overflow: hidden;
}

.questions__title{

    display: flex;
    text-align: left;
    font-size: 20px;
    padding: 30px 0 30px;
    cursor: pointer;
    color: var(--color-questions-title);
    justify-content: space-between;
}

.questions__arrow{
    border-radius: 50%;
    background-color: var(--color-questions);
    width: 25px;
    height: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    align-self: flex-end;
    margin-left: 10px;
    transition: transform .3s;
}

.questions__arrow--rotate{
    transform: rotate(180deg);
}

.questions__show{
    text-align: left;
    transition: height .3s;
    height: 0;
}

.questions__img{
    display: block;
}

.questions__copy{
    
    width: 60%;
    margin: 0% auto;
    margin-bottom: 30px;
}

/*footers*/

.footer{
    background-color: #8baef0;
}

.footer__title{
    font-weight: 300;
    font-size: 2rem;
    margin-bottom: 30px;
}

.footer__title, .footer__newsletter{
    color: #fff;
}

.footer__container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #fff;
    padding-bottom: 60px;
}

.nav--footer{
    padding-bottom: 20px;
    display: grid;
    gap: 1em;
    grid-auto-flow: row;
    height: 100%;
}

.nav__link--footer{
    display: flex;
    margin: 0;
    margin-right: 20px;
    flex-wrap: wrap;
}

.footer__inputs{
    margin-top: 10px;
    display: flex;
    overflow: hidden;
}

.footer__input{
    background-color: #fbfbfb;
    height: 50px;
    display: block;
    padding-left: 10px;
    border-radius: 8px;
    font-size: 1rem;
    outline: none;
    border: none;
    margin-right: 16px;
}

.footer__submit{
    margin-left: auto;
    display: inline-block;
    height: 50px;
    padding: 0 20px;
    background-color: #2091f9;
    border: none;
    font-size: 1rem;
    color: #fff;
    border-radius: 8px;
    cursor: pointer;
}

.footer__copy{
    --padding-container: 30px 0;
    text-align: center;
    
}

.footer__copyrights{
    font-weight: 300;
}

.footer__icons{
    display: inline-flex;
    margin-bottom: 10px;
}

.footer__img{
    width: 30px;
}

/* Media Queries */

@media(max-width:800px){

    .nav__menu{
        display: block;
    }

    .nav__link--menu{

        position: fixed;
        background-color: #130602;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        align-items: center;
        z-index: 100;
        opacity: 0;
        pointer-events: none;
        transition: 0.7s opacity;

    }

    .nav__link--show{
        --show: block;
        opacity: 1;
        pointer-events: unset;
    }

    .nav__close{
        position: absolute;
        top: 30px;
        right: 30px;
        width: 30px;
        cursor: pointer;
    }

    .hero__title{
        font-size: 2.5rem;
    }

    .about__main{
        gap: 2em;
    }

    .about__icons:last-of-type{
        grid-column: 1/-1;
    }

    .knowledge__container{
        grid-template-columns: 1fr;
        grid-template-rows: max-content 1fr;
        gap: 3em;
        text-align: center;
    }

    .knowledge__picture{
        grid-row: 1/2;
        justify-self: center;
    }

    .testimony__container{
        grid-template-columns: 30px 1fr 30px;

    }

    .testimony__body{
        grid-template-columns: 1fr;
        grid-auto-rows: max-content max-content;
        gap: 3em;
        justify-items: center;
    }

    .testimony__img{
        width: 150px;
        height: 200px;
    }

    .questions__copy{
        width: 100%;
    }

    .footer__container{
        flex-wrap: wrap;
    }

    .nav--footer{
        width: 100%;
        justify-items: center;
    }

    .nav__link--footer{
        width: 100%;
        justify-content: space-evenly;
        margin: 0;
    }

    .footer__form{
        width: 100%;
        justify-content: space-evenly;
    }

    .footer__input{
        flex: 1;
    }

    .nav__link--footer{
        justify-content: space-between;
    }
}

@media (max-width:600) {

    .hero__title{
        font-size: 2rem;
    }

    .hero__paragrahp{
        font-size: 1rem;
    }

    .subtitle{
        font-size: 1.8rem;
    }

    .price__element{
        width: 90%;
    }

    .price__element--best{
        width: 90%;
        padding: 40px;
    }

    .plan_price{
        font-size: 2rem;
    }

    .testimony{
        --padding-container: 60px ;
    }
    
    .testimony__container{
        grid-template-columns: 28px 1fr 28px;
        gap: .9em;
    }

    .testimony__arrow{
        width: 100%;
    }

    .testimony__curse{
        margin-top: 15px;
    }

    .questions__title{
        font-size: 1em;
    }

    .footer__title{
        justify-self: start;
    }

    .nav__link--footer{
        justify-content: space-between;
    }
}

@media (max-width : 450px) {

    .testimony__container{
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        gap:1em;
        text-align: center;
    }

    .questions__title{
        font-size: 1rem;
    }

}


@media(max-width :390px) {

    .footer__inputs{

        flex-wrap: wrap;
        justify-content:center;
        align-items: center;
    }

    .footer__input{
        margin-right: 0;
    }

    .subtitle{
        font-size: 1.5rem;
    }

    .footer__inputs{
        flex-wrap: wrap;

    }

    .footer__input{
        flex-basis: 100%;
        margin: 0;
        margin-bottom: 16px;
    }

    .footer__submit{
        margin-right: auto;
        margin-left: 0;
    }

    .footer__title{
        margin-right: auto;
        margin-left: 0;
    }
    
}

@media (max-width: 300px) {

    .subtitle{
        font-size: 1rem;
    }

    .about__paragrah{
        text-align: left;
    }

    .footer__inputs{
        flex-wrap: wrap;

    }

    .footer__input{
        flex-basis: 100%;
        margin: 0;
        margin-bottom: 16px;
    }

    .footer__submit{
        margin-right: auto;
        margin-left: 0;
    }

    .nav__link--footer{
        display: inline;
    }

    .nav__items{
        margin: 4px;
    }
    
}
